salsa.h File Reference

Classes for Salsa and Salsa20 stream ciphers. More...

Go to the source code of this file.

## Classes

struct | Salsa20_Info
| Salsa20 stream cipher information. More...
class | Salsa20_Policy
| Salsa20 stream cipher operation. More...
struct | Salsa20
| Salsa20 stream cipher. More...
struct | XSalsa20_Info
| XSalsa20 stream cipher information. More...
class | XSalsa20_Policy
| XSalsa20 stream cipher operation. More...
struct | XSalsa20
| XSalsa20 stream cipher. More...

## Macros

#define | CRYPTOPP_DISABLE_SALSA_ASM 1

## Functions

void | Salsa20_Core (word32 *data, unsigned int rounds)
| Salsa20 core transform. More...

## Detailed Description

Classes for Salsa and Salsa20 stream ciphers.

Definition in file salsa.h.

## Function Documentation

## Salsa20_Core()

void Salsa20_Core | ( | word32 * | data,
|  | unsigned int | rounds
| ) |  |

Salsa20 core transform.

Parameters

  data | the data to transform
  rounds | the number of rounds

Several algorithms, like CryptoBox and Scrypt, require access to the core Salsa20 transform. The current Crypto++ implementation does not lend itself to disgorging the Salsa20 cipher from the Salsa20 core transform. Instead Salsa20_Core is provided with customary accelerations.

Definition at line 51 of file salsa.cpp.